### Class

# Phosh WWanManager

#### Description [src]

    class Phosh.WWanManager : GObject.Object
    {
      /* No available fields */
    }

Base class for `PhoshWWan` interface implementations

Common code for implementors of the `PhoshWWan` interface covering NetworkManager related bits for the mobile data connection.

#### Ancestors

- GObject

#### Descendants

- PhoshWWanMM
- PhoshWWanOfono

#### Constructors

###### phosh_wwan_manager_new

No description available.

#### Instance methods

###### phosh_wwan_manager_get_data_enabled

Get whether the mobile data connection is enabled.

###### phosh_wwan_manager_has_data

Gets whether there’s a data connection that could possibly be enabled. It doesn’t take into account whether the connection is enabled or not. See `phosh_wwan_manager_get_data_enabled()`.

###### phosh_wwan_manager_set_data_enabled

Connect to or disconnect from mobile data. When `enabled` is `TRUE` connects the last active mobile data connection.

###### phosh_wwan_manager_set_enabled

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.WWanManager:data-enabled

No description available.

###### Phosh.WWanManager:has-data

No description available.

###### Phosh.WWanManager:last-connection

The last activated connection.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshWWanManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.